petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPRichardsonSetSelfScale

Sets Richardson to automatically determine optimal scaling at each iteration to minimize the 2-norm of the preconditioned residual

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPRichardsonSetSelfScale(KSP ksp,PetscBool scale)

Logically Collective on KSP Many br

### Input Parameters

| ksp | - the iterative context Many br
| scale | - PETSC_TRUE or the default of PETSC_FALSE Many br

Many br

Notes: Requires two extra work vectors. Uses an extra VecAXPY() and VecDotNorm2() per iteration. Many br

Developer Notes: Could also minimize the 2-norm of the true residual with one less work vector Many br

### Keywords

KSP, Richardson, set, scale

Level:intermediate
Location:src/ksp/ksp/impls/rich/richscale.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages